/* 
   An MTV test scene.
   Shamelessly stolen from work by Mark T. Vandewettering.
*/

#include "colors.inc"

camera {
   location <2.1, 1.3, 0.2>
   look_at <0, 0, 0>
   sky <0, 0, 1>
   fov 45
}

options {
  background color SkyBlue
  depth 10
  iterations 4	// only for AA 
  antialias 0.5
  cutoff 0.01
}

light_source { <4, 3, 2> color Gray80 }
light_source { <1, -4, 4> color Gray80 }
light_source { <-3, 1, 5> color Gray80 }

plane { 
  <0, 0, 1>, -0.5
  texture { diffuse color rgb 0.8 * <color YellowGreen> }
}

composite { 
  sphere { <0, 0, 0>, .5 }
  sphere { <.272166, .272166, .544331>, .166667 }
  sphere { <.643951, .172546, 1.11022e-16>, .166667 }
  sphere { <.172546, .643951, 1.11022e-16>, .166667 }
  sphere { <-.371785, 0.0996195, .544331>, .166667 }
  sphere { <-.471405, .471405, 1.11022e-16>, .166667 }
  sphere { <-.643951, -.172546, 1.11022e-16>, .166667 }
  sphere { <0.0996195, -.371785, .544331>, .166667 }
  sphere { <-.172546, -.643951, 1.11022e-16>, .166667 }
  sphere { <.471405, -.471405, 1.11022e-16>, .166667 }
  texture { 
    diffuse color SteelBlue 
    diffuse  0.5      
    specular color White 
    specular 0.5
    reflection color White
    reflection 0.5
    roughness 0.3333
  }
}



