// colors.inc
// A color include for rayce
// snatched from the MTV raytracer 
// by Mark Vandewettering
// I added some colors of my X11 database, where Mark got them (apparently)

// a few colors have been taken from PoV colors.inc, because I needed them for porting scenes

#declare Aquamarine = color	red	0.439216	green	0.858824	blue	0.576471
#declare Black = color		red	0		green	0		blue	0
#declare Blue = color		red	0		green	0		blue	1
#declare BlueViolet = color	red	0.623529	green	0.372549	blue	0.623529
#declare Brass =  color 	red	0.71		green	0.65		blue	0.26
#declare Brown = color		red	0.647059	green	0.164706	blue	0.164706
#declare CadetBlue = color	red	0.372549	green	0.623529	blue	0.623529
#declare Coral = color		red	1		green	0.498039	blue	0
#declare Copper = color 	red 	0.72 		green 	0.45 		blue 0.20
#declare CornflowerBlue = color	red	0.258824	green	0.258824	blue	0.435294
#declare Cyan = color		red	0		green	1		blue	1
#declare DarkGreen = color	red	0.184314	green	0.309804	blue	0.184314
#declare DarkOliveGreen = color	red	0.309804	green	0.309804	blue	0.184314
#declare DarkOrchid = color	red	0.6		green	0.196078	blue	0.8
#declare DarkSlateBlue = color	red	0.419608	green	0.137255	blue	0.556863
#declare DarkSlateGray = color	red	0.184314	green	0.309804	blue	0.309804
#declare DarkSlateGrey = color	red	0.184314	green	0.309804	blue	0.309804
#declare DarkPurple =    color 	red	0.53 		green 	0.12 		blue 	0.47
#declare DarkTurquoise = color	red	0.439216	green	0.576471	blue	0.858824
#declare DimGray = color	red	0.329412	green	0.329412	blue	0.329412
#declare DimGrey = color	red	0.329412	green	0.329412	blue	0.329412
#declare Firebrick = color	red	0.556863	green	0.137255	blue	0.137255
#declare ForestGreen = color	red	0.137255	green	0.556863	blue	0.137255
#declare Gold = color		red	0.8		green	0.498039	blue	0.196078

#declare RosyBrown = color rgb <255, 193, 193> / 255

#declare Goldenrod = color	red	0.858824	green	0.858824	blue	0.439216
#declare Gray = color		red	0.752941	green	0.752941	blue	0.752941
#declare Green = color		red	0		green	1		blue	0
#declare GreenYellow = color	red	0.576471	green	0.858824	blue	0.439216
#declare Grey = color		red	0.752941	green	0.752941	blue	0.752941
#declare IndianRed = color	red	0.309804	green	0.184314	blue	0.184314
#declare Khaki = color		red	0.623529	green	0.623529	blue	0.372549
#declare LightBlue = color	red	0.74902		green	0.847059	blue	0.847059
#declare LightGray = color	red	0.658824	green	0.658824	blue	0.658824
#declare LightGrey = color	red	0.658824	green	0.658824	blue	0.658824
#declare LightSteelBlue = color	red	0.560784	green	0.560784	blue	0.737255
#declare LimeGreen = color	red	0.196078	green	0.8		blue	0.196078
#declare Magenta = color	red	1		green	0		blue	1
#declare Maroon = color		red	0.556863	green	0.137255	blue	0.419608
#declare MediumAquamarine = color red	0.196078	green	0.8		blue	0.6
#declare MediumBlue = color	red	0.196078	green	0.196078	blue	0.8
#declare MediumForestGreen = color red	0.419608	green	0.556863	blue	0.137255
#declare MediumGoldenrod = color red	0.917647	green	0.917647	blue	0.678431
#declare MediumOrchid = color	red	0.576471	green	0.439216	blue	0.858824
#declare MediumSeaGreen = color	red	0.258824	green	0.435294	blue	0.258824
#declare MediumSlateBlue = color red	0.498039	green	0		blue	1
#declare MediumSpringGreen = color red	0.498039	green	1		blue	0
#declare MediumTurquoise = color red	0.439216	green	0.858824	blue	0.858824
#declare MediumVioletRed = color red	0.858824	green	0.439216	blue	0.576471
#declare MidnightBlue = color	red	0.184314	green	0.184314	blue	0.309804
#declare Navy = color		red	0.137255	green	0.137255	blue	0.556863
#declare NavyBlue = color	red	0.137255	green	0.137255	blue	0.556863
#declare Orange = color		red	0.8		green	0.196078	blue	0.196078
#declare OrangeRed = color	red	1		green	0		blue	0.498039
#declare Orchid = color		red	0.858824	green	0.439216	blue	0.858824
#declare PaleGreen = color	red	0.560784	green	0.737255	blue	0.560784
#declare Pink = color		red	0.737255	green	0.560784	blue	0.560784
#declare Plum = color		red	0.917647	green	0.678431	blue	0.917647
#declare Quartz = color 	red 	0.85 		green 	0.85 		blue 	0.95
#declare Red = color		red	1		green	0		blue	0
#declare Salmon = color		red	0.435294	green	0.258824	blue	0.258824
#declare SeaGreen = color	red	0.137255	green	0.556863	blue	0.419608
#declare Sienna = color		red	0.556863	green	0.419608	blue	0.137255
#declare Burlywood = color rgb <255, 211, 155>/255

#declare Silver = color		red 	0.90		green	0.91		blue	0.98
#declare SkyBlue = color	red	0.196078	green	0.6		blue	0.8
#declare SlateBlue = color	red	0		green	0.498039	blue	1
#declare SpringGreen = color	red	0		green	1		blue	0.498039
#declare SteelBlue = color	red	0.137255	green	0.419608	blue	0.556863
#declare Tan = color		red	0.858824	green	0.576471	blue	0.439216
#declare Thistle = color	red	0.847059	green	0.74902		blue	0.847059
#declare Turquoise = color	red	0.678431	green	0.917647	blue	0.917647
#declare VeryDarkBrown = color 	red 	0.35 		green 	0.16 		blue 	0.14
#declare Violet = color		red	0.309804	green	0.184314	blue	0.309804
#declare VioletRed = color	red	0.8		green	0.196078	blue	0.6
#declare Wheat = color		red	0.847059	green	0.847059	blue	0.74902
#declare White = color		red	1.0		green	1.0		blue	1.0
#declare Yellow = color		red	1		green	1		blue	0
#declare YellowGreen = color	red	0.6		green	0.8		blue	0.196078


#declare Gray10 = color red 0.1 green	0.1	blue 0.1
#declare Gray20 = color red 0.2 green	0.2	blue 0.2
#declare Gray30 = color red 0.3 green	0.3	blue 0.3
#declare Gray40 = color red 0.4 green	0.4	blue 0.4
#declare Gray50 = color red 0.5 green	0.5	blue 0.5
#declare Gray60 = color red 0.6 green	0.6	blue 0.6
#declare Gray70 = color red 0.7 green	0.7	blue 0.7
#declare Gray80 = color red 0.8 green	0.8	blue 0.8
#declare Gray90 = color red 0.9 green	0.9	blue 0.9

#declare Grey10 = color red 0.1 green	0.1	blue 0.1
#declare Grey20 = color red 0.2 green	0.2	blue 0.2
#declare Grey30 = color red 0.3 green	0.3	blue 0.3
#declare Grey40 = color red 0.4 green	0.4	blue 0.4
#declare Grey50 = color red 0.5 green	0.5	blue 0.5
#declare Grey60 = color red 0.6 green	0.6	blue 0.6
#declare Grey70 = color red 0.7 green	0.7	blue 0.7
#declare Grey80 = color red 0.8 green	0.8	blue 0.8
#declare Grey90 = color red 0.9 green	0.9	blue 0.9
