// Small motion blur test a la Cook & Porter (but without 1984 :)

#include "colors.inc"

#declare ShinyBlue  =  texture {
    ambient color blue 0.2
    diffuse color blue 0.7 red 0.2 green 0.2
    specular color white
    roughness 0.1    
}


options {
  time 0.0, 0.5
  iterations 20
}

object { 
   sphere { <-0.5, 0, 0>, 1 }
   texture { ShinyBlue }
   speed <1, 0, 0>	
}

object {
  	sphere { <-0.3, -2, 0.2>, 1 }
	texture {
 	   ambient color green 0.1 blue 0.1
	   diffuse color green 0.1 blue 0.1
 	   specular color red 0.1 green 0.3 blue 0.3
	   reflection color red 1 green 1 blue 0.3
	   reflection 0.5
	   roughness 0.01
	}
}

camera {  
	location <0, 0, -6>
	direction <0, 0, 1>
	sky <0, 1, 0>
	fov 30
}

object {
  light_source { <-10, 10, -10> color white }
}

