// testfile by George Kyriazis

camera {
  fov 110
  location <0, -0.5, -2>
  direction <0, 0, 1>
  sky <0, 1, 0>
}

options {
  background y color red 0.2 green 0.2 blue 0.2
  iterations 10
}

object {
    light_source { <1, 3, -5> color red 1.0 green 1.0 blue 1.0 } 
}

#declare sph =object {
  sphere { <0, 0, 1.5>, 1.5 }
  texture {
    ambient color green .1 blue .1
    diffuse color green .1 blue .1
    specular color red .3 green .3 blue .3
    reflection color red 1 green 1 blue 0.3
    roughness 0.01
  }
  speed <1, 0, 0>
}

#declare sqr = object { 
  polygon { <-4, -2, -1>, <4, -2, -1>, <4, -2, 3>, <-4, -2, 3> }
  texture {
    ambient color red 0.1 green 0.1 blue 0.1
    reflection color red 0.5 green 0.5 blue 0.5
    reflection 0.5
    roughness 0.10
    reflect_angle 14
  }
}

object { sqr }
object { sph }
