// yet another CSG testfile

camera {
  location <0.1, 0.1, -5>
  fov 90
  look_at <0, 0, 0>
}

options { 
  background y color rgb <0.2, 0.2, 0.2>
}

#declare WeirdGreen = texture {	/* any suggestions for a better name? */
  diffuse color red 0.8 blue 0.8 ambient color green 0.2
}

#declare Cilinder_Z = quadric { <1, 1, 0>, <0, 0, 0>, <0, 0, 0>, -1 }

#declare csg4 = composite {
   intersection {
     box { <-2, -2, -2>, <2, 2, 2> }
     quadric { Cilinder_Z inverse }
     texture { WeirdGreen }
   }
   object { light_source { <-4, 4, -4> color red 1.0 } }
}

#declare csg6 = union { 
  sphere { <0, 0, 0>, 1 }
  sphere { <0, 0, 1>, 1 }
  texture { WeirdGreen }
}


composite { csg4 }
