// torus testfile, CSG testfile

camera { 
  location <1, 0, -4>
  look_at <0, 0, 0>
  fov 40
}

object {
  light_source { <10, 10, -20> color red 1.0 blue 1.0 green 1.0 }
}

#declare ShinyBlue  =  texture {
  ambient color blue 0.2
  diffuse color blue 0.7 red 0.2 green 0.2
  specular color rgb <0.4, 0.4, 0.4>
  roughness 0.1
}

object {
  intersection {	// macaroni :)
    torus { 1.0, 0.5 }
    torus { 1.0, 0.25 inverse }
    plane { <1, 0, 0>, 0 }
   rotate 90*x
  }  
  texture { ShinyBlue }
  rotate <0, 45, 0>
}
