// demonstrate of hierarchic textures

#include "colors.inc"
camera {
  location <1, 2, -4>
//  location <3, 2.5, 0>
  fov 60
  look_at <0, 1, 1>
  aspect 1.333
}

#declare corinth = intersection {
  plane { <-1, 0, 0>, 0 }
  plane { <1, 0, 0>, 0.5
    texture { 
      reflection color White
      ambient color green 1.0
    }
  }
  rotate <0, -30, 0>
  translate <1, 0, 0>
  inverse
}

composite {
  sphere { <0, 2, 1>, 1.5 }
  intersection {
    box { <-2, 0, 0>, <2, 2, 3> }
    sphere {
      <-2, 2, 0>, 0.5
      texture { ambient color blue 1.0 }
      inverse
    }    
    intersection { corinth }
    texture {
      ambient color Brown
      ambient 0.2
//      diffuse color Yellow
      diffuse 0.3
    }
  }
  
  light_source { <-3, 4, -5> color White }
  
  texture { ambient color red 1.0 }
}
