/* 
 penumbra test. It doesn't look that good. A jittered grid would give much better
 results.
*/


#include "colors.inc"

camera { 
  location <0, 1, -3>
  look_at <0, 1, 0>
  sky <0, 1, 0>
aspect 1.333
  fov 90
}

options { 
  antialias 0.75
  iterations 15
}

object { 
  plane { <0 , 1, 0>, 0 }
  texture { 
    ambient color green 0.1
    diffuse color green 0.7    
  }
}

#declare ShinyBlue  =  texture {
  ambient color blue 0.2
  diffuse color blue 0.7 red 0.2 green 0.2
  specular color Grey30
  roughness 0.1
}

object { 
  sphere { <0, 1, 0>, 1 }
  texture { ShinyBlue }
}

object {
  light_source { <-10, 10, -5> color Grey80 radius 2 
    scale <2, 2, 2>
  }
}
