// a recursive pyramid.

camera {
  location <-2, 3, -4>
  scale <1.2>
  look_at <0, 1, 0>
  fov 60
}

#declare  prim = sphere { <0, 0, 0>, 1 }

#declare twit = composite { 
  sphere { prim translate <-2, 0, 0> }
  sphere { prim translate <2, 0, 0> }
  sphere { prim translate <0, 0, 2> }
  sphere { prim translate <0, 0, -2> }
  sphere { prim translate <0, 2.5, 0> }
  bounded_by { box { <-3, -1, -3>, <3, 3, 3> } }
  scale <0.4, 0.4, 0.4>
}


#declare t1 = texture {
    ambient color red 1.0
    diffuse color blue 1.0
  
}

#declare t2 = texture {
    ambient color red 1.0
    diffuse color blue 1.0
  
}

#declare t3 = texture {
    ambient color red 1.0
    diffuse color blue 1.0
  
}
#declare t4 = texture {
    ambient color red 1.0
    diffuse color blue 1.0
  
}

#declare t5 = texture {
    ambient color red 1.0
    diffuse color blue 1.0
}


#declare twat = composite { 
  composite { twit translate <-2, 0, 0> texture { t1 } }
  composite { twit translate <2, 0, 0> texture { t2 } }
  composite { twit translate <0, 0, 2> texture { t3 } }
  composite { twit translate <0, 0, -2> texture { t4 } }
  composite { twit translate <0, 1.5, 0> texture { t5 } }
  bounded_by { box { <-3.2, -1.30, -3.2>, <3.2, 2.5, 3.2> } }
  scale <0.4, 0.4, 0.4>
}

#declare twit = composite { 
  composite { twat translate <-2, 0, 0> }
  composite { twat translate <2, 0, 0> }
  composite { twat translate <0, 0, 2> }
  composite { twat translate <0, 0, -2> }
  composite { twat translate <0, 1.5, 0> }
  bounded_by { box { <-3.2, -1.30, -3.2>, <3.2, 2.5, 3.2> } }
  texture { 
    ambient color red 1.0
    diffuse color blue 1.0
  }
}

composite { twit }

light_source {
  <-5, 5, -5> color red 1.0 green 1.0 blue 1.0 attenuation 0.2
}
