// testfile by George Kyriazis

#include "colors.inc"
camera {
  fov 90
  location <-2.6, 0, 2.2>
  direction <1, 0, -0.7>
  sky <0, 1, 0>
}

options {
  time 0, 0.3
  background color red 0.2 green 0.2 blue 0.2
  iterations 10
}

#declare lt = object { light_source {   <2, 0, -1> color White }  }

object { lt }
object {
  sphere { <-0.5, -1.2, 0>, 0.95 }
  texture {
  	ambient color red 0.1 green 0.1 blue 0.1
	diffuse color red 0.1 green 0.1 blue 0.0
	specular color red 0.3 green 0.3 blue 0.1
	reflection color red 1 green 1 blue 0.4
	reflection 0.6 
	refraction color red 1 green 1 blue 1
	refraction 0.2 
	roughness 0.012
	ior 1.3
  }
}

object {
  sphere { <0.7, -0.2, 1>, 0.7 }
  texture {
	ambient color red 0.1 green 0.1 blue 0.1
	specular color red 0.1 green 0.1 blue 0.1
	reflection color red 1 green 1 blue 0.2
	reflection 0.1
	refraction color red 1 green 1 blue 1
	refraction 0.75
	roughness 0.05
	ior 5
	refract_angle 1
  }
}

object {
  polygon { <-3, -1, -1>, <-3, -1, 7>, <3, -1, 7> , <3, -1, -1> }
  texture {
    diffuse color green 0.2
    reflection color red 0.5 green 0.5 blue 0.9
    reflection 0.5
    roughness 0.025
    reflect_angle 5
  }
}

object {
  polygon { <-1, 1, 1>, <-1, 0, 1>, <1, 0, 1>, <1, 1, 1> }
  texture {
     diffuse color red 0.1 green 0.1 blue 0.1
     specular color red 0.2 green 0.2 blue 0.2
     reflection color red 1 green 1 blue 0.5
     refraction color red 1 green 1 blue 0.2
  }
  speed <0, -1, 0>
}
